Commit e709223a authored by Sylvain Berfini's avatar Sylvain Berfini 🎩

Changes to be able to build using NDK 19

parent 50a62833
......@@ -36,8 +36,8 @@ elseif(CMAKE_ANDROID_NDK_VERSION VERSION_LESS 17)
)
else()
set(SUPPORT_SOURCES
"${CMAKE_ANDROID_NDK}/sources/android/support/src/locale_support.cpp"
)
"${CMAKE_ANDROID_NDK}/sources/android/support/src/locale_support.cpp"
)
endif()
add_library(support STATIC ${SUPPORT_SOURCES})
......
......@@ -32,7 +32,11 @@ lcb_rpmbuild_name("mediastreamer")
lcb_dependencies("ortp" "bctoolbox")
if(ANDROID)
lcb_dependencies("androidcpufeatures" "androidsupport")
if(CMAKE_ANDROID_NDK_VERSION VERSION_LESS 19)
lcb_dependencies("androidcpufeatures" "androidsupport")
else()
lcb_dependencies("androidcpufeatures")
endif()
endif()
lcb_cmake_options(
......
......@@ -59,6 +59,7 @@ else()
"--disable-unit-tests"
"--disable-tools"
"--as=yasm"
"--android_ndk_api=${ANDROID_NATIVE_API_LEVEL}"
)
string(FIND "${CMAKE_C_COMPILER_LAUNCHER}" "ccache" CCACHE_ENABLED)
if (NOT "${CCACHE_ENABLED}" STREQUAL "-1")
......
......@@ -36,7 +36,7 @@ set(CMAKE_ANDROID_NDK_VERSION ${CMAKE_MATCH_1})
if(ENABLE_AAUDIO)
set(ANDROID_NATIVE_API_LEVEL "android-28")
else()
set(ANDROID_NATIVE_API_LEVEL "android-17")
set(ANDROID_NATIVE_API_LEVEL "android-21")
endif()
set(ANDROID_CPP_FEATURES "rtti exceptions")
set(ANDROID_STL "c++_shared")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment